Subject: Re: [PATCH v3 2/2][BNX2]: Add iSCSI support to BNX2 devices.

From: James Smart <[email-masked]>
Date: Wed, 21 Nov 2007 14:17:22 -0500

Anil Veerabhadrappa wrote:
> It's a chicken & egg issue to put "port mapper" sysfs entry in scsi host
> attributes. Application won't see sysfs unless initiator creates an
> iSCSI session and driver can't create an iSCSI session without a tcp
> port. I was wondering if there is a better way than using IOCTL in this
> situation?

Agree, and IMHO, is why the scsi_host should have been bound to the ISID
or something similar (e.g. the initiator "port" that can have 1 or more
sessions), and the session bound to the scsi_target under the scsi_host.

-- james s